- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_TaskCategory;'
    index: 3004 # was `Related Menu Item`
    name: Task Category
    customTagName: taskCategory
    attributes:
    - instance: '&IDA_Name;'
      customTagName: name

  # ents defined in ../000-EntityDefinitions/016-TaskCategories.yaml
  - taskCategory: '&IDI_TaskCategory_Class;'
    name: 'Class'
  - taskCategory: '&IDI_TaskCategory_Report;'
    name: 'Report'
  - taskCategory: '&IDI_TaskCategory_Instance;'
    name: 'Instance'
  - taskCategory: '&IDI_TaskCategory_MethodBinding;'
    name: 'Method Binding'
  - taskCategory: '&IDI_TaskCategory_ReturnedWorkData;'
    name: 'Returned Work Data'
  - taskCategory: '&IDI_TaskCategory_Debugging;'
    name: 'Debugging'
  - taskCategory: '&IDI_TaskCategory_Element;'
    name: 'Element'
  - taskCategory: '&IDI_TaskCategory_SystemUser;'
    name: 'System User'
  - taskCategory: '&IDI_TaskCategory_WorkData;'
    name: 'Work Data'
  - taskCategory: '&IDI_TaskCategory_WorkSet;'
    name: 'Work Set'
  - taskCategory: '&IDI_TaskCategory_ReturnAttributeMethodBinding;'
    name: 'Return Attribute Method Binding'
  - taskCategory: '&IDI_TaskCategory_GetReferencedAttributeMethod;'
    name: 'GRA - Get Referenced Attribute Method'
  - taskCategory: '&IDI_TaskCategory_BuildAttributeMethod;'
    name: 'BA - Build Attribute Method'
  - taskCategory: '&IDI_TaskCategory_GetAttributeMethod;'
    name: 'GA - Get Attribute Method'
  - taskCategory: '&IDI_TaskCategory_GetReferencedInstanceSetMethod;'
    name: 'GRS - Get Referenced Instance Set Method'
  - taskCategory: '&IDI_TaskCategory_ReturnInstanceSetMethodBinding;'
    name: 'Return Instance Set Method Binding'
  - taskCategory: '&IDI_TaskCategory_ConditionalSelectAttributeMethod;'
    name: 'SAC - Conditional Select Attribute Method'
  - taskCategory: '&IDI_TaskCategory_EvaluateBooleanExpressionMethod;'
    name: 'EBE - Evaluate Boolean Expression Method'
  - taskCategory: '&IDI_TaskCategory_AccessModifier;'
    name: 'Access Modifier'
  - taskCategory: '&IDI_TaskCategory_GetAttributeBySystemRoutineMethod;'
    name: 'GAS - Get Attribute by System Routine Method'
  - taskCategory: '&IDI_TaskCategory_CalculateDateMethod;'
    name: 'CD - Calculate Date Method'
  - taskCategory: '&IDI_TaskCategory_GetSpecifiedInstancesMethod;'
    name: 'GSI - Get Specified Instances Method'
  - taskCategory: '&IDI_TaskCategory_GetInstancesMethod;'
    name: 'GI - Get Instances Method'